Bug 121661 - FILESAVE DOCX Hyphenation zone created with Word resets default value
Summary: FILESAVE DOCX Hyphenation zone created with Word resets default value
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: filter:docx
Depends on:
Blocks: DOCX Hyphenation
  Show dependency treegraph
 
Reported: 2018-11-23 09:57 UTC by NISZ LibreOffice Team
Modified: 2019-12-17 12:55 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original and exported document side by side in Word. (274.40 KB, image/png)
2018-11-23 09:58 UTC, NISZ LibreOffice Team
Details
Example file from Word (20.40 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-23 09:58 UTC, NISZ LibreOffice Team
Details
The original file saved by Writer (17.16 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-23 09:58 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-11-23 09:57:41 UTC
Description:
Hyphenation zone in DOCX documents created with Microsoft Word 2010 resets default value when the document is exported in LibreOffice Writer and opened in Word 2010.

Steps to Reproduce:
    1. Create a new document in Microsoft Word.
    2. Type “=rand(5)” and press Enter.
    3. On the Page Layout tab, in the Page Setup group, click Hyphenation.
    4. Select Hyphenation Options.
    5. Select Automatically hyphenate document.
    6. Change a the value next to Hyphenation zone: for example 1,5 cm.
    7. Click on OK button.
    8. Save the file as DOCX.
    9. Open the same file in LibreOffice Writer.
    10. Select File and Save As.
    11. Name the file.
    12. Open the exported file in Microsoft Word.
    13. Compare the original file opened in Word and the exported file opened in Word.

Actual Results:
Hyphenation zone resets default value (0,75 cm) when the exported document is opened is Microsoft Word 2010.

Expected Results:
Hyphenation zone should have the same value as the original file opened in Microsoft Word 2010.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-11-23 09:58:02 UTC
Created attachment 146949 [details]
Screenshot of the original and exported document side by side in Word.
Comment 2 NISZ LibreOffice Team 2018-11-23 09:58:20 UTC
Created attachment 146950 [details]
Example file from Word
Comment 3 NISZ LibreOffice Team 2018-11-23 09:58:38 UTC
Created attachment 146951 [details]
The original file saved by Writer
Comment 4 Durgapriyanka 2018-11-28 18:32:09 UTC
I can confirm that the bug is present in

Microsoft Word 2007

Version: 6.0.6.2
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 5 Xisco Faulí 2018-12-05 12:57:12 UTC
@NISZ team, @Durgapriyanka, any chance this could be tested with a previous version of LibreOffice ( e.g. LibreOffice 3.3 or LibreOffice 4.4 )
Comment 6 NISZ LibreOffice Team 2018-12-05 16:01:46 UTC
Reproduced in:

Version: 4.4.0.0.alpha2+
Build ID: 1307c65d74fc9a1241f0a50142921cadac1e882b
Locale: hu_HU
Comment 7 Buovjaga 2019-02-14 10:55:45 UTC
Repro with LibO 3.3.0 and attachment 146950 [details]. Confirmed with MSO 2013.
Comment 8 Samuel Mehrbrodt (CIB) 2019-10-07 13:20:37 UTC
Still reproducible in 

Version: 6.4.0.0.alpha0+
Build-ID: 2eb60e4b4fc45d904e04fd52d485923948c96898
CPU-Threads: 8; BS: Linux 5.0; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Language: de-DE
Calc: threaded
Comment 9 Commit Notification 2019-11-06 08:32:47 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c58b39b77dcafcf63872e7dc4270c7258072b193

tdf#121661 Roundtrip w:hyphenationZone via InteropGrabBag

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-11-06 11:48:24 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/47ce1d70a287c2e652603ba6810a6bb6745338bf

tdf#121661 Add test

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-11-07 12:40:43 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/fb67e254f777173095e25ed7570755aeeb5f43e0

tdf#121661 Roundtrip w:hyphenationZone via InteropGrabBag

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.